#include <stdio.h>
	
main ()
{
int 	i,j,cur_vect;
DEF_GENPAT ("vect8");
PORT ("a","b",":2","B","i","7 downto 0",0);
PORT ("p",    ":2","B","o","15 downto 0",0);
for (i=0;i<2;i=i+1)
	{
	AFFECT (CONV (256*i),"a",CONV (i),0);
	for (j=0;j<256;j=j+1)
		{
		cur_vect = 256*i+j;
		AFFECT (CONV (cur_vect),"b",CONV(j),0);
		}
	}
SAV_GENPAT ();
}
